Bug 238251 - file-types typo in init file
Summary: file-types typo in init file
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gmediaserver   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karol Trzcionka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-28 10:04 UTC by Paul Jenner
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.12.0-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-28 15:19:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to resolve typo (581 bytes, patch)
2007-04-28 10:04 UTC, Paul Jenner
no flags Details | Diff

Description Paul Jenner 2007-04-28 10:04:37 UTC
Description of problem:

Typo in init file for file-types option (filetypes rather than file-types) does
not allow file types to be set and gmediaserver started.

Version-Release number of selected component (if applicable):
gmediaserver-0.12.0-7.fc6

How reproducible:
Every time

Steps to Reproduce:
1. set filetypes parameter in /etc/sysconfig/gmediaserver
2. start gmediaserver - service gmediaserver start
  
Actual results:
[root@localhost ~]# service gmediaserver start
Starting gmediaserver: /usr/sbin/gmediaserver: unrecognised option
`--filetypes=ogg,m3u' [FAILED]

Expected results:
gmediaserver should start

Additional info:
Is a typo in init script - filetypes option should be file-types. Trivial patch
to resolve attached.

Comment 1 Paul Jenner 2007-04-28 10:04:38 UTC
Created attachment 153698 [details]
patch to resolve typo

Comment 2 Karol Trzcionka 2007-04-28 15:19:08 UTC
thanks for report, fixed
iff -u -r1.1 -r1.2
--- gmediaserver.init   21 Apr 2007 21:31:33 -0000      1.1
+++ gmediaserver.init   28 Apr 2007 15:08:11 -0000      1.2
@@ -44,8 +44,8 @@
 [ $port ] && OPTIONS="$OPTIONS --port=$port ";
 [ $timestamp ] && OPTIONS="$OPTIONS --timestamp=$timestamp ";
 [ $profile ] && OPTIONS="$OPTIONS --profile=$profile ";
-[ $filetypes ] && OPTIONS="$OPTIONS --filetypes=$filetypes ";
-[ $expiretime ] && OPTIONS="$OPTIONS --expiretime=$expiretime ";
+[ $filetypes ] && OPTIONS="$OPTIONS --file-types=$filetypes ";
+[ $expiretime ] && OPTIONS="$OPTIONS --expire-time=$expiretime ";
 [ -d "$dir" ] || dir=/srv/gmediaserver;
 OPTIONS="$OPTIONS $dir";


Note You need to log in before you can comment on or make changes to this bug.